name:		PACKAGE
version:	VERSION
license:	BSD3
maintainer:	jeanphilippe.bernardy
exposed:	True

exposed-modules:
	Data.COrdering,
	Data.Collections,	
	Data.Collections.Foldable,
	Data.Collections.Properties,
	Data.Map.AVL,
	Data.Map.List,
	Data.Set.AVL,
	Data.Set.Enum,
	Data.Set.List,
	Data.Tree.AVL,
	Data.Tree.AVL.Delete,
	Data.Tree.AVL.Join,
	Data.Tree.AVL.List,
	Data.Tree.AVL.Push,
	Data.Tree.AVL.Read,
	Data.Tree.AVL.Set,
	Data.Tree.AVL.Size,
	Data.Tree.AVL.Split,
	Data.Tree.AVL.Test.Counter,
	Data.Tree.AVL.Test.Utils,
	Data.Tree.AVL.Types,
	Data.Tree.AVL.Write,
	Data.Tree.AVL.Zipper,
	Data.Trie

hidden-modules:
	Data.Tree.AVL.Internals.BinPath,
	Data.Tree.AVL.Internals.DelUtils,
	Data.Tree.AVL.Internals.HAVL,
	Data.Tree.AVL.Internals.HJoin,
	Data.Tree.AVL.Internals.HPush,
	Data.Tree.AVL.Internals.HSet,
	Data.Tree.AVL.Internals.HeightUtils

import-dirs:	IMPORT_DIR
library-dirs:	LIB_DIR
hs-libraries:   "HScollections"
extra-libraries:

include-dirs: 	INCLUDE_DIR
includes:		
depends:	base, QuickCheck
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces:	HADDOCK_IFACE
haddock-html:		HTML_DIR
